package javax.print.attribute.standard;

import javax.print.attribute.Attribute;
import java.util.Date;
import javax.print.attribute.PrintJobAttribute;
import javax.print.attribute.DateTimeSyntax;

public final class DateTimeAtProcessing extends DateTimeSyntax implements PrintJobAttribute
{
    private static final long serialVersionUID = -3710068197278263244L;
    
    public DateTimeAtProcessing(Date value) {
        super(value);
    }
    
    @Override
    public boolean equals(Object object) {
        return super.equals(object) && object instanceof DateTimeAtProcessing;
    }
    
    @Override
    public final Class<? extends Attribute> getCategory() {
        return DateTimeAtProcessing.class;
    }
    
    @Override
    public final String getName() {
        return "date-time-at-processing";
    }
}
